mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.Remoting.Channels.IChannel System.Runtime.InteropServices.ComVisible(true)

The receiving side of channels must expose the interface.

Provides required functions and properties for the receiver channels.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object'

  This property is used when is called and a is created.

  Gets the channel-specific data.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String[] ``

  This method is used by the method.

  Returns an array of all the URLs for a URI.

  An array of the URLs.

  The URI for which URLs are required.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The data object can be used to pass specific initialization state to the channel.

  Instructs the current channel to start listening for requests.

  Optional initialization information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The data object can be used to pass the specific state to the channel.

  Instructs the current channel to stop listening for requests.

  Optional state information for the channel.